package jp.agentec.abook.abv.cl.util;

import android.content.Context;

public class AndroidStringUtil {

	public static String format(Context context, int id, int... argsIds) {
		Object[] args = new String[argsIds.length];
		for (int i = 0; i < argsIds.length; i++) {
			args[i] = context.getResources().getString(argsIds[i]);
		}
		return String.format(context.getResources().getString(id), args);
	}

	public static String format(Context context, int id, String... args) {
		return String.format(context.getResources().getString(id), (Object[]) args);
	}
}
